cURL
curl --request POST \
--url https://api.chartbrew.com/team/{team_id}/connections/{connection_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form sslCa='@example-file' \
--form sslCert='@example-file' \
--form sslKey='@example-file'import requests
url = "https://api.chartbrew.com/team/{team_id}/connections/{connection_id}/files"
files = {
"sslCa": ("example-file", open("example-file", "rb")),
"sslCert": ("example-file", open("example-file", "rb")),
"sslKey": ("example-file", open("example-file", "rb"))
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('sslCa', '<string>');
form.append('sslCert', '<string>');
form.append('sslKey', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.chartbrew.com/team/{team_id}/connections/{connection_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"team_id": 123,
"project_ids": [
"<string>"
],
"oauth_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"host": "<string>",
"dbName": "<string>",
"port": "<string>",
"username": "<string>",
"password": "<string>",
"srv": false,
"options": {},
"connectionString": "<string>",
"authentication": {
"token": "<string>",
"user": "<string>",
"pass": "<string>"
},
"firebaseServiceAccount": {},
"ssl": false,
"sslMode": "require",
"sslCa": "<string>",
"sslCert": "<string>",
"sslKey": "<string>",
"schema": {}
}{
"error": "No files were uploaded"
}Connections
Update connection files
Update the files of a connection
POST
/
team
/
{team_id}
/
connections
/
{connection_id}
/
files
cURL
Supported file types
This endpoint is used for uploading SSL certificates for PostgreSQL and MySQL connections.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Response
Updated connection
Available options:
mongodb, api, mysql, postgres, realtimedb, firestore, googleAnalytics, customerio Used for connections based on main types
Available options:
timescaledb, supabasedb, rdsPostgres, rdsMysql, api, mongodb, api, mysql, postgres, realtimedb, firestore, googleAnalytics, customerio Used for MongoDB, Postgres, and MySQL connections
Used for API connections
Show child attributes
Show child attributes
JSON object containing the Firebase service account credentials
⌘I